/* 
Theme Name: Badain
Theme URI: https://github.com/elementor/hello-theme/
Description: Hello Elementor Child is a child theme of Hello Elementor, created by Elementor team
Author: Elementor Team
Author URI: https://elementor.com/
Template: hello-elementor
Version: 1.0.1
Text Domain: hello-elementor-child
License: GNU General Public License v3 or later.
License URI: https://www.gnu.org/licenses/gpl-3.0.html
Tags: flexible-header, custom-colors, custom-menu, custom-logo, editor-style, featured-images, rtl-language-support, threaded-comments, translation-ready
*/

/*
    Add your custom styles here
*/

.white-link {
	color: #ffffff !important;
}

.white-link:hover {
	color: #a492ff !important;
}

/* Style Netkom Backend Badain */

h1.entry-title {
  display: none;
}

.logout-link {
  display: inline-flex;
  align-items: center;
  color: #663366;
  text-decoration: none;
  font-weight: 200;
  transition: 0.1s all ease-in-out;
}

.logout-link:hover {
  color: #663366;
  transition: 0.1s all ease-in-out;
  font-weight: bold;
}

.logout-link .dashicons {
  margin-right: 5px;
  font-size: 18px;
}

a.logout-link :before {
  content: "";
  display: flex;
  height: 26px;
  width: 26px;
  background-image: url("/wp-content/uploads/2025/06/logout.svg");
  object-fit: cover;
  background-color: none;
  background-size: 100%;
  background-repeat: no-repeat;
}

a.elementor-button.elementor-button-link.elementor-size-sm.toggle-publish-btn {
  background-color: var(--e-global-color-primary);
  font-family: var(--e-global-typography-56d3685-font-family), Sans-serif;
  font-size: var(--e-global-typography-56d3685-font-size);
  font-weight: var(--e-global-typography-56d3685-font-weight);
  text-transform: var(--e-global-typography-56d3685-text-transform);
  line-height: var(--e-global-typography-56d3685-line-height);
  letter-spacing: var(--e-global-typography-56d3685-letter-spacing);
  fill: var(--e-global-color-7d9e917);
  color: var(--e-global-color-7d9e917);
  border-style: none;
  border-radius: 50px 50px 50px 50px;
  padding: 1rem 2rem 1rem 2rem;
  cursor: pointer;
}

a.elementor-button.elementor-button-link.elementor-size-sm.toggle-publish-btn:hover,
a.elementor-button.elementor-button-link.elementor-size-sm.toggle-publish-btn:focus {
  background-color: var(--e-global-color-text);
  color: var(--e-global-color-7d9e917);
}

.elementor-pagination .page-numbers {
  background-color: var(--e-global-color-primary);
  font-family: var(--e-global-typography-56d3685-font-family), Sans-serif;
  font-size: var(--e-global-typography-56d3685-font-size);
  font-weight: var(--e-global-typography-56d3685-font-weight);
  text-transform: var(--e-global-typography-56d3685-text-transform);
  line-height: var(--e-global-typography-56d3685-line-height);
  letter-spacing: var(--e-global-typography-56d3685-letter-spacing);
  fill: var(--e-global-color-7d9e917);
  color: var(--e-global-color-7d9e917);
  border-style: none;
  border-radius: 50px 50px 50px 50px;
  padding: 1rem 2rem 1rem 2rem;
  cursor: pointer;
}

.elementor-pagination {
  margin-top: 1.4rem;
}

/* CUSTOM ACCORDIONS */

.custom-accordion .accordion-item {
  border: 1px solid #dee2e6;
  border-radius: 4px;
  margin-bottom: 10px;
  overflow: hidden;
}

.custom-accordion .accordion-header {
  background-color: #f8f9fa;
  padding: 1rem;
  cursor: pointer;
  font-weight: bold;
}

.custom-accordion .accordion-content {
  max-height: 0;
  overflow: hidden;
  transition: max-height 0.4s ease, padding 0.4s ease;
  padding: 0 1rem;
}

.custom-accordion .accordion-item.active .accordion-content {
  max-height: 500px;
  /* adjust based on expected height */
  padding: 1rem;
}

.simple-accordion summary {
  background: #f1f2f3;
  padding: 1em;
  cursor: pointer;
  font-weight: inherit;
  border: 1px solid #f1f1f1;
  margin-bottom: 1rem;
  color: #372753;
  transition: 0.3s all ease-in-out;
}

.simple-accordion summary::-webkit-details-marker {
  display: none;
}

.simple-accordion details[open] summary {
  background: #A492FF;
  color: #fff;
  transition: 0.3s all ease-in-out;
}

.simple-accordion details:hover summary {
  background: #A492FF;
  color: #fff;
  transition: 0.3s all ease-in-out;
}

.simple-accordion details div {
  transition: 0.3s all ease-in-out !important;
}

input[readonly] {
  background: #f1f1f1;
}

form button[type=submit] {
  background-color: var(--e-global-color-accent);
  border-radius: 3px;
  color: #fff;
  display: inline-block;
  font-size: 15px;
  line-height: 1;
  padding: 12px 24px;
  fill: #fff;
  text-align: center;
  transition: all .3s;
  width: 100%;
  border: none;
}

.simple-accordion .acc-header {
  background: #c36;
  color: #fff;
  transition: 0.3s all ease-in-out;
}

.simple-accordion .acc-header:hover {
  background: #fff;
  color: #c36;
  transition: 0.3s all ease-in-out;
}


/* CUD ZIP FORM */

#cud-zip-upload-form label {
  font-family: var(--e-global-typography-text-font-family), Sans-serif;
  font-weight: var(--e-global-typography-text-font-weight);
  color: var(--e-global-color-secondary);
  padding-bottom: 12px;
}

#cud-zip-upload-form button {
  display: flex;
  position: relative;
  text-align: center;
  justify-content: center;
  margin-top: 0.75rem;
}

#cud-zip-upload-form button i {
  position: absolute;
  top: 0.7rem;
  left: 1rem;
}

/* FATTURE ZIP FORM */

#fatture-zip-upload-form label {
  font-family: var(--e-global-typography-text-font-family), Sans-serif;
  font-weight: var(--e-global-typography-text-font-weight);
  color: var(--e-global-color-secondary);
  padding-bottom: 12px;
}

#fatture-zip-upload-form button {
  display: flex;
  position: relative;
  text-align: center;
  justify-content: center;
  margin-top: 0.75rem;
}

#fatture-zip-upload-form button i {
  position: absolute;
  top: 0.7rem;
  left: 1rem;
}


/* BUSTEPAGA ZIP FORM */

#bustepaga-zip-upload-form label {
  font-family: var(--e-global-typography-text-font-family), Sans-serif;
  font-weight: var(--e-global-typography-text-font-weight);
  color: var(--e-global-color-secondary);
  padding-bottom: 12px;
}

#bustepaga-zip-upload-form button {
  display: flex;
  position: relative;
  text-align: center;
  justify-content: center;
  margin-top: 0.75rem;
}

#bustepaga-zip-upload-form button i {
  position: absolute;
  top: 0.7rem;
  left: 1rem;
}


/* BUSTEPAGA ZIP FORM */

#mav-zip-upload-form label {
  font-family: var(--e-global-typography-text-font-family), Sans-serif;
  font-weight: var(--e-global-typography-text-font-weight);
  color: var(--e-global-color-secondary);
  padding-bottom: 12px;
}

#mav-zip-upload-form button {
  display: flex;
  position: relative;
  text-align: center;
  justify-content: center;
  margin-top: 0.75rem;
}

#mav-zip-upload-form button i {
  position: absolute;
  top: 0.7rem;
  left: 1rem;
}


/* Common Buttons Primary & Secondary */

.elementor-button-link.btn-primary {
  background: #A492FF;
  border-color: #A492FF;
  color: #ffffff;
}

.elementor-button-link.btn-primary:hover {
  background: #ffffff;
  border-color: #A492FF;
  color: #A492FF;
}

.elementor-button-link.btn-secondary {
  background: #372753;
  border-color: #372753;
  color: #ffffff;
}

.elementor-button-link.btn-secondary:hover {
  background: #ffffff;
  border-color: #372753;
  color: #372753;
}

.adminModal .modal-header {
  background: #A492FF !important;
  border-color: #A492FF !important;
  color: #ffffff !important;
}

.adminModal .modal-body .alert {
  cursor: pointer;
}

.adminModal label {
  font-weight: 600;
}

.adminModal .form-check-label {
  font-weight: 300;
}

.adminModal form button[type=submit] {
  max-width: 200px;
}

.form-check-input:checked {
  background-color: #A492FF !important;
  border-color: #A492FF !important;
}

.modal-backdrop {
  z-index: 1050 !important;
}

.modal {
  z-index: 1060 !important;
  transition: 0.3s all ease-in-out;
}

.modal.show {
  opacity: 1;
  background: rgba(0, 0, 0, .32);
  transition: 0.3s all ease-in-out;
}

body.modal-open {
  overflow: hidden !important;
}

.modal-backdrop.show {
  display: none !important;
}

#editJobModal {
  margin-top: 3rem;
}

#modal-loading-spinner, #altridatimodal-loading-spinner {
  display: none;
  position: absolute;
  top: 0px;
  left: 0px;
  width: 100%;
  height: 100%;
  background: rgba(255, 255, 255, 0.7);
  z-index: 9999;
  display: none;
}

.adminModal button.btn-close {
  color: white;
  border: none;
  padding: 1rem !important;
  opacity: 1;
}

/* Form Cliente CSS */

.elementor-field-group-inpiegoBool {
    padding-left: 4rem !important;
    display: flex;
}

.elementor-field-group-inpiego {
  width: 0;
  height: 0;
  overflow: hidden;
  transition: 0.3s all ease-in-out;
}

.elementor-field-group-inpiego.is-open {
  width: 33.333%;
  height: auto;
}
.alert.no-click { pointer-events: none; }

.hr-title {
    position: relative;
    background: rgba(248,249,250, 1) !important;
    width: max-content;
    padding: 0 2rem;
    margin: -1.6rem auto 1rem auto;
}

.hr-title.white {
    background: #ffffff !important;
}

a.pdfprnt-button.pdfprnt-button-pdf {
    background: #A492FF;
    border-color: #A492FF;
    color: #ffffff;
    padding: 0.2rem 1.6rem;
    border-radius: 3px;
    align-self: flex-start;
    display: flex;
    transition: all .3s;
    border: 1px solid;
}

a.pdfprnt-button:hover {
    transition: all .3s;
    background: #ffffff;
    border-color: #A492FF;
    color: #A492FF;
    border: 1px solid;
}

.pdfprnt-button {
  display: none;
}

.pdfprnt-buttons {
    display: inline-flex;
    align-items: center;
    margin-left: 1rem;
}

/* Force page breaks in the PDF where needed */
.html2pdf__page-break { page-break-before: always; }

/* Hide elements only in PDF (add class="only-screen" to things you don't want exported) */
@media print { .only-screen { display: none !important; } }


/* Print helpers */
@media print {

  #downloadPdf, #printPdf { display: none !important; }
  /* Optional: hide summaries in print */
  #connectedAccordion summary { display: none !important; }

  .e-n-tabs-heading,
  hr,
  button,
  .elementor-element-67a5a3cd, 
  .elementor-element-14f482ae, 
  .elementor-element-529c6d50, 
  .elementor-element-8872c64, 
  .elementor-element-4d927070, 
  .elementor-element-a75a596, 
  .elementor-element-305da05, 
  .elementor-element-e4b290d, 
  .elementor-97, 
  .incarichiAccordion,
  .delegainpsAccordion,
  .pdfprnt-buttons,
  .elementor-element-10de510 {
    display: none !important;
  }

  .elementor-element-df612da {
    padding-bottom: 0;
    margin-bottom: 0;
    height: 30px;
  }

  .elementor-element-3a36079{
        --border-bottom-width: 0px !important;
  }

  .form-group {
    width: 33.3%;
  }

  .e-con>.e-con-inner {
    max-width: 100% !important;
  }
  .container {
    max-width: 100% !important;
    padding: 20px !important;
    margin: 20px !important;
  }

  .user-profile-box {
    padding: 1rem 0 !important;
  }

  .no-pdf, [data-pdf="hide"],
  #incarichiAccordion, #delegaInpsAccordion { display: none !important; }
  .printonly {
    display: block !important;
  }
  img.printonly {
    margin: 12px auto !important;
    text-align: center !important;
  }
  .bg-light {background-color: #ffffff !important;}
    .e-con>.e-con-inner { max-width: 100% !important; background-color: #ffffff !important;}
  .container, .bg-light {
    max-width: 100% !important;
    padding: 10px !important;
    margin: 10px !important;
    background: #ffffff !important;
    border: none !important;
  }
  
  input[type=date], input[type=email], input[type=number], input[type=password], input[type=search], input[type=tel], input[type=text], input[type=url], select, textarea, label {font-size: 20px !important}
  
}

.printonly {
  display: none;
}


/* Responsive Mobile */

.elementor-widget-n-tabs .e-n-tabs-content {
  min-width: 60vw !important;
  margin: 0 auto !important;
}

.e-con.e-flex>.e-con-inner {
    min-width: 70vw;
    margin: 0 auto;
}

.form-group small {
    background: var(--primary-light-hover);
    padding: 0.2rem 1rem;
}

.adminModal .form-group small {
    background: var(--primary-light-hover);
    padding: 0.2rem 1rem;
    position: absolute;
    bottom: -4rem;
    right: 0;
}

.adminModal label {
    font-weight: 600;
    width: 100%;
    position: relative;
}

.elementor-button-link {
    display: block;
    flex-wrap: wrap;
    width: 100%;
    text-align: center;
    break-after: auto;
    white-space: normal;
    word-break: break-word;
}

.nuovoincarivo-row {
  width: 100%;
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  align-items: center;
}

.nuovoincarivo-row button {
  width: auto;
}

.pdfprnt-buttons {
    display: inline-flex;
    align-items: center;
    margin-left: 1rem;
    margin-bottom: 1rem;
}

.simple-accordion .elementor-widget-button {
    display: flex;
    flex-wrap: wrap;
    gap: 0.6rem;
}

@media (max-width: 600px) {
  .simple-accordion .elementor-widget-button {
    padding-top: 1rem;
  }
  main#content {
      padding: 6rem 0 !important;
  }

  /* .elementor-heading-title {
    font-size: 2rem !important;
  } */

  .elementor-484 .elementor-element.elementor-element-15ef768d .elementor-heading-title {
    font-size: 2rem !important;
  }
 
  .page-id-486 .elementor-484 .elementor-element.elementor-element-2fc432a8:not(.elementor-motion-effects-element-type-background) {
      padding: 4rem 0 6rem 0;
  }

  .page-id-486 .elementor-element.elementor-element-0e39bae.e-con-full.e-flex.e-con.e-child {
      --gap: 3px 3px;
      --row-gap: 3px;
      --column-gap: 3px;
      padding: 0;
  }

  .page-id-486 .elementor-637 .elementor-element.elementor-element-1a926bfa {
    padding: 0;
  }

  #fatture-zip-upload-form button, #cud-zip-upload-form button, #bustepaga-zip-upload-form button, #mav-zip-upload-form button {
    width: 100%;
    white-space: normal;
    word-break: break-word;
  }
  .page-id-486 .elementor-widget-loop-grid .elementor-widget-theme-post-title .elementor-heading-title {
        font-size: 1.5rem;
        padding-bottom: 2rem;
  }
  .page-id-486 .elementor-528 .elementor-element.elementor-element-fbe287c .elementor-icon-list-item > .elementor-icon-list-text {
    font-size: 1rem;
  }
  .page-id-486 a.elementor-button.elementor-button-link.elementor-size-sm.toggle-publish-btn, .page-id-486 .elementor-528 .elementor-element.elementor-element-68cb459 .elementor-button {
    padding: 0.3rem 0.6rem 0.3rem 0.6rem;
    text-align: left;
  }
  .page-id-486 .elementor-637 .elementor-element.elementor-element-1f29d87d {
    padding: 0;
  }
  .page-id-486 .elementor-528 .elementor-element.elementor-element-deb653d {
    max-height: 540px;
  }
  .page-id-486 .elementor-pagination .page-numbers {
    padding: 0.3rem 0.6rem 0.3rem 0.6rem;
  }
  .page-id-486 .elementor-pagination {
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    justify-content: center;
    column-gap: 0.2rem;
    row-gap: 0.8rem;
    }
    .page-id-991 .elementor-button-link {
      width: 100%;
      white-space: normal;
      word-break: break-word;
    }
}


/* Datatable css */


.datatable-wrapper table {
  border-collapse: collapse;
  font-size: 14px;
  width: 100%;
}

.datatable-wrapper .dataTables_wrapper {
  margin-top: 20px;
}

.datatable-wrapper table th,
.datatable-wrapper table td {
  padding: 8px;
  border: 1px solid #ddd;
  text-align: left;
}

.datatable-wrapper select,
.datatable-wrapper input[type="search"] {
  font-size: 14px;
}

/* Prevent squashed cells */
table.dataTable tbody td, 
table.dataTable thead th {
  white-space: nowrap;            /* keep short labels on one line */
}

/* Allow wrapping for long description columns only */
td.wrap { white-space: normal; word-break: break-word; }

/* Make the responsive child rows look good with Bootstrap */
table.dataTable.dtr-inline.collapsed>tbody>tr>td.dtr-control:before,
table.dataTable.dtr-inline.collapsed>tbody>tr>th.dtr-control:before {
  top: 50%;
  transform: translateY(-50%);
}

/* ENDOF Datatable css */

/* RESPONSIVE DESKTOP By Last Changes */

#fatture-zip-upload-form label, 
#bustepaga-zip-upload-form label,
#mav-zip-upload-form label,
#cud-zip-upload-form label {
  width: 100%;
}


#fatture-zip-upload-form button, 
#bustepaga-zip-upload-form button,
#mav-zip-upload-form button,
#cud-zip-upload-form button {
  max-width: 350px;
}

div.dataTables_wrapper div.dataTables_filter {
    text-align: right;
    margin-bottom: 1rem;
}

.modal-footer {
  justify-content: center;
  align-items: center;
}

.modal-footer .row {
  width: 100%;
  justify-content: center;
  align-items: center;
  text-align: center;
  margin: 0 auto;
}

.modal-footer .col-md-6 {
  justify-content: center;
  align-items: center;
  text-align: center;
  margin: 0 auto;
}

#docFiscaliAccordion .elementor-button {
  max-width: 350px;
  text-align: center;
  margin: 0 auto;
}

#cedContributiAccordion .elementor-button {
  max-width: 350px;
  text-align: center;
  margin: 0 auto;
}

#connectedsubAccordion button {
  max-width: 350px;
  text-align: center;
  margin: 0 auto;
  user-select: none;
  white-space: wrap;
  width: 100%;
}

#connectedsubAccordion label b, 
#connectedsubAccordion label {
  width: 100%;
  user-select: none;
  white-space: wrap;
}

#connectedsubAccordion .acc-header {
  display: block;
  width: 100%;
  max-width: 100%;
}
